/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
 *
 * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef __CONTACTS_PICKER_MODEL_H__
#define __CONTACTS_PICKER_MODEL_H__

#include <gtk/gtk.h>

#define CONTACTS_PICKER_MODEL_COLUMN_NAME   0
#define CONTACTS_PICKER_MODEL_COLUMN_MARKUP 1
#define CONTACTS_PICKER_MODEL_COLUMN_EMAIL  2
#define CONTACTS_PICKER_MODEL_COLUMN_PIXBUF 3

GtkTreeModel *contacts_picker_model_new (void);
void          contacts_picker_model_search (GtkTreeModel *model, const gchar *search_string);
void          contacts_picker_model_select_item (GtkTreeModel *model, GtkTreePath *path);
GHashTable   *contacts_picker_model_get_selection (GtkTreeModel *model);

#endif
